Subject: Re: [PATCH] Revert 'diff-merges: let "-m" imply "-p"'

From: Sergey Organov <[email-masked]>
Date: Tue, 17 Aug 2021 12:17:47 +0300

Junio C Hamano <[email-masked]> writes:

> Jonathan Nieder <[email-masked]> writes:
>
>> Please don't treat this as an attempt to be argumentative:...
>
> I won't.  I asked you what I didn't understand in what you said.
> Answering the question is not being argumentative ;-)
>
>> What's relevant is not whether the script author was in the wrong or
>> in the right.
>
> I do not agree with this reasoning at all.  Only if vast majority of
> users incorrectly used the command and the option, we may need to
> consider such a move as an exception, but not as a general rule.
>
> But "stash list" example shows that "log --first-parent -m" without
> "-p" in a script has a valid reason, and a change that hurts those
> who correctly used a command and an option in a way they were
> intended to do _is_ problematic.

The patch never meant to be entirely backward compatible in the first
place, and, as far as I can see, "log --first-parent -m" doesn't make
sense anymore, since --fist-parent implies -m, that has been settled
already.

Thanks,
Sergey Organov